POST api/Tasks/SaveTask
Request Information
URI Parameters
None.
Body Parameters
CrmTaskViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CreatedDate | date |
None. |
|
| UpdatedDate | date |
None. |
|
| DeletedDate | date |
None. |
|
| CreatedByID | string |
None. |
|
| UpdatedByID | string |
None. |
|
| DeletedByID | string |
None. |
|
| Subject | string |
None. |
|
| Detail | string |
None. |
|
| DueDate | date |
None. |
|
| ReminderDate | date |
None. |
|
| CompanyId | integer |
None. |
|
| ContactId | integer |
None. |
|
| QuoteId | integer |
None. |
|
| IsCompleted | boolean |
None. |
|
| DepartmentId | integer |
None. |
|
| DepartmentName | string |
None. |
|
| AssigneeUserId | string |
None. |
|
| CategoryId | integer |
None. |
|
| TypeId | integer |
None. |
|
| PriorityId | integer |
None. |
|
| StatusId | integer |
None. |
|
| Attachments | Collection of IFSAttachmentViewModel |
None. |
|
| DeletedAttachments | Collection of IFSAttachmentViewModel |
None. |
|
| TimeZoneId | string |
None. |
|
| UtcOffSet | time interval |
None. |
|
| Source | integer |
None. |
|
| IsTaskAddedEdited | boolean |
None. |
|
| PointOfContactId | integer |
None. |
|
| CarrierId | integer |
None. |
|
| CarrierContactId | integer |
None. |
|
| LogMeetingId | integer |
None. |
|
| DueStartTime | date |
None. |
|
| DueEndTime | date |
None. |
|
| EmailDataId | integer |
None. |
|
| WarehouseReceiptId | globally unique identifier |
None. |
|
| ShipmentId | globally unique identifier |
None. |
|
| PickupAndDeliveryId | globally unique identifier |
None. |
|
| CargoReleaseId | globally unique identifier |
None. |
|
| PurchaseOrderId | globally unique identifier |
None. |
|
| SalesOrderId | globally unique identifier |
None. |
|
| Association | integer |
None. |
|
| AssociationId | string |
None. |
|
| AssociationNo | string |
None. |
|
| Package_IDs | Collection of globally unique identifier |
None. |
|
| TasksTemplateId | integer |
None. |
|
| BookingId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CreatedDate": "2026-06-21T15:47:31.202521-04:00",
"UpdatedDate": "2026-06-21T15:47:31.202521-04:00",
"DeletedDate": "2026-06-21T15:47:31.202521-04:00",
"CreatedByID": "sample string 3",
"UpdatedByID": "sample string 4",
"DeletedByID": "sample string 5",
"Subject": "sample string 6",
"Detail": "sample string 7",
"DueDate": "2026-06-21T15:47:31.202521-04:00",
"ReminderDate": "2026-06-21T15:47:31.202521-04:00",
"CompanyId": 1,
"ContactId": 1,
"QuoteId": 1,
"IsCompleted": true,
"DepartmentId": 1,
"DepartmentName": "sample string 10",
"AssigneeUserId": "sample string 11",
"CategoryId": 12,
"TypeId": 13,
"PriorityId": 1,
"StatusId": 14,
"Attachments": [
{
"imageBytes": "QEA=",
"type": "sample string 1",
"fileName": "sample string 2",
"fileSize": 3,
"path": "sample string 4",
"contentType": "sample string 5",
"isDragged": true,
"noteId": 1,
"commentId": 1,
"taskId": 1,
"containerId": 7,
"fileExtension": "sample string 8",
"noteAttachmentId": 1,
"noteCommentAttachmentId": 1,
"taskAttachmentId": 1,
"inlineAttachment": true,
"attachId": 1,
"contentBytes": "sample string 10",
"laneId": 1,
"transportationModeId": 1,
"id": 11,
"createdDate": "2026-06-21T15:47:31.202521-04:00",
"updatedDate": "2026-06-21T15:47:31.202521-04:00",
"deletedDate": "2026-06-21T15:47:31.202521-04:00",
"tasksTemplateId": 1,
"noteTemplateAttachmentId": 1,
"noteTemplateId": 1
},
{
"imageBytes": "QEA=",
"type": "sample string 1",
"fileName": "sample string 2",
"fileSize": 3,
"path": "sample string 4",
"contentType": "sample string 5",
"isDragged": true,
"noteId": 1,
"commentId": 1,
"taskId": 1,
"containerId": 7,
"fileExtension": "sample string 8",
"noteAttachmentId": 1,
"noteCommentAttachmentId": 1,
"taskAttachmentId": 1,
"inlineAttachment": true,
"attachId": 1,
"contentBytes": "sample string 10",
"laneId": 1,
"transportationModeId": 1,
"id": 11,
"createdDate": "2026-06-21T15:47:31.202521-04:00",
"updatedDate": "2026-06-21T15:47:31.202521-04:00",
"deletedDate": "2026-06-21T15:47:31.202521-04:00",
"tasksTemplateId": 1,
"noteTemplateAttachmentId": 1,
"noteTemplateId": 1
}
],
"DeletedAttachments": [
{
"imageBytes": "QEA=",
"type": "sample string 1",
"fileName": "sample string 2",
"fileSize": 3,
"path": "sample string 4",
"contentType": "sample string 5",
"isDragged": true,
"noteId": 1,
"commentId": 1,
"taskId": 1,
"containerId": 7,
"fileExtension": "sample string 8",
"noteAttachmentId": 1,
"noteCommentAttachmentId": 1,
"taskAttachmentId": 1,
"inlineAttachment": true,
"attachId": 1,
"contentBytes": "sample string 10",
"laneId": 1,
"transportationModeId": 1,
"id": 11,
"createdDate": "2026-06-21T15:47:31.202521-04:00",
"updatedDate": "2026-06-21T15:47:31.202521-04:00",
"deletedDate": "2026-06-21T15:47:31.202521-04:00",
"tasksTemplateId": 1,
"noteTemplateAttachmentId": 1,
"noteTemplateId": 1
},
{
"imageBytes": "QEA=",
"type": "sample string 1",
"fileName": "sample string 2",
"fileSize": 3,
"path": "sample string 4",
"contentType": "sample string 5",
"isDragged": true,
"noteId": 1,
"commentId": 1,
"taskId": 1,
"containerId": 7,
"fileExtension": "sample string 8",
"noteAttachmentId": 1,
"noteCommentAttachmentId": 1,
"taskAttachmentId": 1,
"inlineAttachment": true,
"attachId": 1,
"contentBytes": "sample string 10",
"laneId": 1,
"transportationModeId": 1,
"id": 11,
"createdDate": "2026-06-21T15:47:31.202521-04:00",
"updatedDate": "2026-06-21T15:47:31.202521-04:00",
"deletedDate": "2026-06-21T15:47:31.202521-04:00",
"tasksTemplateId": 1,
"noteTemplateAttachmentId": 1,
"noteTemplateId": 1
}
],
"TimeZoneId": "sample string 15",
"UtcOffSet": "00:00:00.1234567",
"Source": 1,
"IsTaskAddedEdited": true,
"PointOfContactId": 1,
"CarrierId": 1,
"CarrierContactId": 1,
"LogMeetingId": 1,
"DueStartTime": "2026-06-21T15:47:31.202521-04:00",
"DueEndTime": "2026-06-21T15:47:31.202521-04:00",
"EmailDataId": 1,
"WarehouseReceiptId": "13e5013d-fa9d-4077-ba3c-e56f22a59aba",
"ShipmentId": "fa0ef363-533f-42ea-9797-8461af31dbce",
"PickupAndDeliveryId": "dfec04b0-d1a3-4a02-b0cd-e258aef26ac9",
"CargoReleaseId": "c4137fcb-f487-4de9-93b9-fa7cf8fc7824",
"PurchaseOrderId": "29f8d0ae-a87c-41b7-88cc-407025c5908e",
"SalesOrderId": "b43785c0-7187-4987-9dca-3568093531b0",
"Association": 1,
"AssociationId": "sample string 17",
"AssociationNo": "sample string 18",
"Package_IDs": [
"1e8a4f53-da27-4292-ad62-0cd916ea4832",
"88258549-07a9-4896-96d4-587a0da30cd4"
],
"TasksTemplateId": 1,
"BookingId": "9d600b70-acff-4673-8d8e-c9bc455b0a3d"
}
application/xml, text/xml
Sample:
<CrmTaskViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Cyzerg.Model.WMS.InputOutputModels">
<AssigneeUserId>sample string 11</AssigneeUserId>
<Association>1</Association>
<AssociationId>sample string 17</AssociationId>
<AssociationNo>sample string 18</AssociationNo>
<Attachments>
<IFSAttachmentViewModel>
<attachId>1</attachId>
<commentId>1</commentId>
<containerId>7</containerId>
<contentBytes>sample string 10</contentBytes>
<contentType>sample string 5</contentType>
<createdDate>2026-06-21T15:47:31.202521-04:00</createdDate>
<deletedDate>2026-06-21T15:47:31.202521-04:00</deletedDate>
<fileExtension>sample string 8</fileExtension>
<fileName>sample string 2</fileName>
<fileSize>3</fileSize>
<id>11</id>
<imageBytes>QEA=</imageBytes>
<inlineAttachment>true</inlineAttachment>
<isDragged>true</isDragged>
<laneId>1</laneId>
<noteAttachmentId>1</noteAttachmentId>
<noteCommentAttachmentId>1</noteCommentAttachmentId>
<noteId>1</noteId>
<noteTemplateAttachmentId>1</noteTemplateAttachmentId>
<noteTemplateId>1</noteTemplateId>
<path>sample string 4</path>
<taskAttachmentId>1</taskAttachmentId>
<taskId>1</taskId>
<tasksTemplateId>1</tasksTemplateId>
<transportationModeId>1</transportationModeId>
<type>sample string 1</type>
<updatedDate>2026-06-21T15:47:31.202521-04:00</updatedDate>
</IFSAttachmentViewModel>
<IFSAttachmentViewModel>
<attachId>1</attachId>
<commentId>1</commentId>
<containerId>7</containerId>
<contentBytes>sample string 10</contentBytes>
<contentType>sample string 5</contentType>
<createdDate>2026-06-21T15:47:31.202521-04:00</createdDate>
<deletedDate>2026-06-21T15:47:31.202521-04:00</deletedDate>
<fileExtension>sample string 8</fileExtension>
<fileName>sample string 2</fileName>
<fileSize>3</fileSize>
<id>11</id>
<imageBytes>QEA=</imageBytes>
<inlineAttachment>true</inlineAttachment>
<isDragged>true</isDragged>
<laneId>1</laneId>
<noteAttachmentId>1</noteAttachmentId>
<noteCommentAttachmentId>1</noteCommentAttachmentId>
<noteId>1</noteId>
<noteTemplateAttachmentId>1</noteTemplateAttachmentId>
<noteTemplateId>1</noteTemplateId>
<path>sample string 4</path>
<taskAttachmentId>1</taskAttachmentId>
<taskId>1</taskId>
<tasksTemplateId>1</tasksTemplateId>
<transportationModeId>1</transportationModeId>
<type>sample string 1</type>
<updatedDate>2026-06-21T15:47:31.202521-04:00</updatedDate>
</IFSAttachmentViewModel>
</Attachments>
<BookingId>9d600b70-acff-4673-8d8e-c9bc455b0a3d</BookingId>
<CargoReleaseId>c4137fcb-f487-4de9-93b9-fa7cf8fc7824</CargoReleaseId>
<CarrierContactId>1</CarrierContactId>
<CarrierId>1</CarrierId>
<CategoryId>12</CategoryId>
<CompanyId>1</CompanyId>
<ContactId>1</ContactId>
<CreatedByID>sample string 3</CreatedByID>
<CreatedDate>2026-06-21T15:47:31.202521-04:00</CreatedDate>
<DeletedAttachments>
<IFSAttachmentViewModel>
<attachId>1</attachId>
<commentId>1</commentId>
<containerId>7</containerId>
<contentBytes>sample string 10</contentBytes>
<contentType>sample string 5</contentType>
<createdDate>2026-06-21T15:47:31.202521-04:00</createdDate>
<deletedDate>2026-06-21T15:47:31.202521-04:00</deletedDate>
<fileExtension>sample string 8</fileExtension>
<fileName>sample string 2</fileName>
<fileSize>3</fileSize>
<id>11</id>
<imageBytes>QEA=</imageBytes>
<inlineAttachment>true</inlineAttachment>
<isDragged>true</isDragged>
<laneId>1</laneId>
<noteAttachmentId>1</noteAttachmentId>
<noteCommentAttachmentId>1</noteCommentAttachmentId>
<noteId>1</noteId>
<noteTemplateAttachmentId>1</noteTemplateAttachmentId>
<noteTemplateId>1</noteTemplateId>
<path>sample string 4</path>
<taskAttachmentId>1</taskAttachmentId>
<taskId>1</taskId>
<tasksTemplateId>1</tasksTemplateId>
<transportationModeId>1</transportationModeId>
<type>sample string 1</type>
<updatedDate>2026-06-21T15:47:31.202521-04:00</updatedDate>
</IFSAttachmentViewModel>
<IFSAttachmentViewModel>
<attachId>1</attachId>
<commentId>1</commentId>
<containerId>7</containerId>
<contentBytes>sample string 10</contentBytes>
<contentType>sample string 5</contentType>
<createdDate>2026-06-21T15:47:31.202521-04:00</createdDate>
<deletedDate>2026-06-21T15:47:31.202521-04:00</deletedDate>
<fileExtension>sample string 8</fileExtension>
<fileName>sample string 2</fileName>
<fileSize>3</fileSize>
<id>11</id>
<imageBytes>QEA=</imageBytes>
<inlineAttachment>true</inlineAttachment>
<isDragged>true</isDragged>
<laneId>1</laneId>
<noteAttachmentId>1</noteAttachmentId>
<noteCommentAttachmentId>1</noteCommentAttachmentId>
<noteId>1</noteId>
<noteTemplateAttachmentId>1</noteTemplateAttachmentId>
<noteTemplateId>1</noteTemplateId>
<path>sample string 4</path>
<taskAttachmentId>1</taskAttachmentId>
<taskId>1</taskId>
<tasksTemplateId>1</tasksTemplateId>
<transportationModeId>1</transportationModeId>
<type>sample string 1</type>
<updatedDate>2026-06-21T15:47:31.202521-04:00</updatedDate>
</IFSAttachmentViewModel>
</DeletedAttachments>
<DeletedByID>sample string 5</DeletedByID>
<DeletedDate>2026-06-21T15:47:31.202521-04:00</DeletedDate>
<DepartmentId>1</DepartmentId>
<DepartmentName>sample string 10</DepartmentName>
<Detail>sample string 7</Detail>
<DueDate>2026-06-21T15:47:31.202521-04:00</DueDate>
<DueEndTime>2026-06-21T15:47:31.202521-04:00</DueEndTime>
<DueStartTime>2026-06-21T15:47:31.202521-04:00</DueStartTime>
<EmailDataId>1</EmailDataId>
<Id>1</Id>
<IsCompleted>true</IsCompleted>
<IsTaskAddedEdited>true</IsTaskAddedEdited>
<LogMeetingId>1</LogMeetingId>
<Package_IDs xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>1e8a4f53-da27-4292-ad62-0cd916ea4832</d2p1:guid>
<d2p1:guid>88258549-07a9-4896-96d4-587a0da30cd4</d2p1:guid>
</Package_IDs>
<PickupAndDeliveryId>dfec04b0-d1a3-4a02-b0cd-e258aef26ac9</PickupAndDeliveryId>
<PointOfContactId>1</PointOfContactId>
<PriorityId>1</PriorityId>
<PurchaseOrderId>29f8d0ae-a87c-41b7-88cc-407025c5908e</PurchaseOrderId>
<QuoteId>1</QuoteId>
<ReminderDate>2026-06-21T15:47:31.202521-04:00</ReminderDate>
<SalesOrderId>b43785c0-7187-4987-9dca-3568093531b0</SalesOrderId>
<ShipmentId>fa0ef363-533f-42ea-9797-8461af31dbce</ShipmentId>
<Source>1</Source>
<StatusId>14</StatusId>
<Subject>sample string 6</Subject>
<TasksTemplateId>1</TasksTemplateId>
<TimeZoneId>sample string 15</TimeZoneId>
<TypeId>13</TypeId>
<UpdatedByID>sample string 4</UpdatedByID>
<UpdatedDate>2026-06-21T15:47:31.202521-04:00</UpdatedDate>
<UtcOffSet>PT0.1234567S</UtcOffSet>
<WarehouseReceiptId>13e5013d-fa9d-4077-ba3c-e56f22a59aba</WarehouseReceiptId>
</CrmTaskViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
text/html
Sample:
{"Id":1,"CreatedDate":"2026-06-21T15:47:31.202521-04:00","UpdatedDate":"2026-06-21T15:47:31.202521-04:00","DeletedDate":"2026-06-21T15:47:31.202521-04:00","CreatedByID":"sample string 3","UpdatedByID":"sample string 4","DeletedByID":"sample string 5","Subject":"sample string 6","Detail":"sample string 7","DueDate":"2026-06-21T15:47:31.202521-04:00","ReminderDate":"2026-06-21T15:47:31.202521-04:00","CompanyId":1,"ContactId":1,"QuoteId":1,"IsCompleted":true,"DepartmentId":1,"DepartmentName":"sample string 10","AssigneeUserId":"sample string 11","CategoryId":12,"TypeId":13,"PriorityId":1,"StatusId":14,"Attachments":[{"imageBytes":"QEA=","type":"sample string 1","fileName":"sample string 2","fileSize":3,"path":"sample string 4","contentType":"sample string 5","isDragged":true,"noteId":1,"commentId":1,"taskId":1,"containerId":7,"fileExtension":"sample string 8","noteAttachmentId":1,"noteCommentAttachmentId":1,"taskAttachmentId":1,"inlineAttachment":true,"attachId":1,"contentBytes":"sample string 10","laneId":1,"transportationModeId":1,"id":11,"createdDate":"2026-06-21T15:47:31.202521-04:00","updatedDate":"2026-06-21T15:47:31.202521-04:00","deletedDate":"2026-06-21T15:47:31.202521-04:00","tasksTemplateId":1,"noteTemplateAttachmentId":1,"noteTemplateId":1},{"imageBytes":"QEA=","type":"sample string 1","fileName":"sample string 2","fileSize":3,"path":"sample string 4","contentType":"sample string 5","isDragged":true,"noteId":1,"commentId":1,"taskId":1,"containerId":7,"fileExtension":"sample string 8","noteAttachmentId":1,"noteCommentAttachmentId":1,"taskAttachmentId":1,"inlineAttachment":true,"attachId":1,"contentBytes":"sample string 10","laneId":1,"transportationModeId":1,"id":11,"createdDate":"2026-06-21T15:47:31.202521-04:00","updatedDate":"2026-06-21T15:47:31.202521-04:00","deletedDate":"2026-06-21T15:47:31.202521-04:00","tasksTemplateId":1,"noteTemplateAttachmentId":1,"noteTemplateId":1}],"DeletedAttachments":[{"imageBytes":"QEA=","type":"sample string 1","fileName":"sample string 2","fileSize":3,"path":"sample string 4","contentType":"sample string 5","isDragged":true,"noteId":1,"commentId":1,"taskId":1,"containerId":7,"fileExtension":"sample string 8","noteAttachmentId":1,"noteCommentAttachmentId":1,"taskAttachmentId":1,"inlineAttachment":true,"attachId":1,"contentBytes":"sample string 10","laneId":1,"transportationModeId":1,"id":11,"createdDate":"2026-06-21T15:47:31.202521-04:00","updatedDate":"2026-06-21T15:47:31.202521-04:00","deletedDate":"2026-06-21T15:47:31.202521-04:00","tasksTemplateId":1,"noteTemplateAttachmentId":1,"noteTemplateId":1},{"imageBytes":"QEA=","type":"sample string 1","fileName":"sample string 2","fileSize":3,"path":"sample string 4","contentType":"sample string 5","isDragged":true,"noteId":1,"commentId":1,"taskId":1,"containerId":7,"fileExtension":"sample string 8","noteAttachmentId":1,"noteCommentAttachmentId":1,"taskAttachmentId":1,"inlineAttachment":true,"attachId":1,"contentBytes":"sample string 10","laneId":1,"transportationModeId":1,"id":11,"createdDate":"2026-06-21T15:47:31.202521-04:00","updatedDate":"2026-06-21T15:47:31.202521-04:00","deletedDate":"2026-06-21T15:47:31.202521-04:00","tasksTemplateId":1,"noteTemplateAttachmentId":1,"noteTemplateId":1}],"TimeZoneId":"sample string 15","UtcOffSet":"00:00:00.1234567","Source":1,"IsTaskAddedEdited":true,"PointOfContactId":1,"CarrierId":1,"CarrierContactId":1,"LogMeetingId":1,"DueStartTime":"2026-06-21T15:47:31.202521-04:00","DueEndTime":"2026-06-21T15:47:31.202521-04:00","EmailDataId":1,"WarehouseReceiptId":"13e5013d-fa9d-4077-ba3c-e56f22a59aba","ShipmentId":"fa0ef363-533f-42ea-9797-8461af31dbce","PickupAndDeliveryId":"dfec04b0-d1a3-4a02-b0cd-e258aef26ac9","CargoReleaseId":"c4137fcb-f487-4de9-93b9-fa7cf8fc7824","PurchaseOrderId":"29f8d0ae-a87c-41b7-88cc-407025c5908e","SalesOrderId":"b43785c0-7187-4987-9dca-3568093531b0","Association":1,"AssociationId":"sample string 17","AssociationNo":"sample string 18","Package_IDs":["1e8a4f53-da27-4292-ad62-0cd916ea4832","88258549-07a9-4896-96d4-587a0da30cd4"],"TasksTemplateId":1,"BookingId":"9d600b70-acff-4673-8d8e-c9bc455b0a3d"}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, text/html
Sample:
Sample not available.